org.apache.calcite.avatica.proto

## Interface Common.CursorFactoryOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.CursorFactory, Common.CursorFactory.Builder

Enclosing class:
  Common

    public static interface Common.CursorFactoryOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getClassName()` `optional string class_name = 2;`
`com.google.protobuf.ByteString` `getClassNameBytes()` `optional string class_name = 2;`
`String` `getFieldNames(int index)` `repeated string field_names = 3;`
`com.google.protobuf.ByteString` `getFieldNamesBytes(int index)` `repeated string field_names = 3;`
`int` `getFieldNamesCount()` `repeated string field_names = 3;`
`List<String>` `getFieldNamesList()` `repeated string field_names = 3;`
`Common.CursorFactory.Style` `getStyle()` `optional .CursorFactory.Style style = 1;`
`int` `getStyleValue()` `optional .CursorFactory.Style style = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getStyleValue

    int getStyleValue()

`optional .CursorFactory.Style style = 1;`

#### getStyle

    Common.CursorFactory.Style getStyle()

`optional .CursorFactory.Style style = 1;`

#### getClassName

    String getClassName()

`optional string class_name = 2;`

#### getClassNameBytes

    com.google.protobuf.ByteString getClassNameBytes()

`optional string class_name = 2;`

#### getFieldNamesList

    List<String> getFieldNamesList()

`repeated string field_names = 3;`

#### getFieldNamesCount

    int getFieldNamesCount()

`repeated string field_names = 3;`

#### getFieldNames

    String getFieldNames(int index)

`repeated string field_names = 3;`

#### getFieldNamesBytes

    com.google.protobuf.ByteString getFieldNamesBytes(int index)

`repeated string field_names = 3;`